<?php
/*
  Plugin Name: Tickera - Event title and date in WooCommerce cart table
  Plugin URI: http://tickera.com/
  Description: Displays the event title and date in WooCommerce cart table
  Author: Tickera.com
  Author URI: http://tickera.com/
  Version: 1.0
  TextDomain: tc
  Domain Path: /languages/
  Copyright 2021 Tickera (http://tickera.com/)
 */


add_filter( 'woocommerce_cart_item_name', 'tc_event_title_date_below_cart_item_title', 10, 3 );

function tc_event_title_date_below_cart_item_title( $product_title, $cart_item ) {
    $product = $cart_item['data'];
    $product_type = $product->get_type();

    if ($product_type === 'simple') {
        $product_id = $product->get_id();
    }
    else {
        $product_id = $product->get_parent_id();
    }

    $event_id = get_post_meta($product_id, '_event_name', true);
    $event_title = get_the_title($event_id);
    $event_date_time_raw = get_post_meta($event_id, 'event_date_time', true);
    $event_date_formatted = date_i18n(get_option('date_format'), strtotime($event_date_time_raw));


    if ($event_id != NULL) {
        $product_title .= '<br/><p style="font-size: 0.8em">'.$event_title.' @ '.$event_date_formatted.'</p>';
    }
    return $product_title;
}